Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1362549 - gawk -M mpfr support is missing
Summary: gawk -M mpfr support is missing
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gawk
Version: 24
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: David Kaspar [Dee'Kej]
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-02 13:25 UTC by Andrew Schorr
Modified: 2016-09-13 22:20 UTC (History)
1 user (show)

Fixed In Version: gawk-4.1.3-8.fc25 gawk-4.1.3-8.fc24
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-13 18:05:29 UTC


Attachments (Terms of Use)

Description Andrew Schorr 2016-08-02 13:25:32 UTC
Description of problem:
gawk does not include mpfr support. For example:
bash$ gawk -M 'BEGIN {printf "%.6f\n", exp(37)}'
gawk: warning: -M ignored: MPFR/GMP support not compiled in
11719142372802612.000000

Version-Release number of selected component (if applicable):
gawk-4.1.3-3.fc24.x86_64


How reproducible:
Run "gawk -M <blah>"


Steps to Reproduce:
1. gawk -M 'BEGIN {printf "%.6f\n", exp(37)}'
2.
3.

Actual results:
gawk: warning: -M ignored: MPFR/GMP support not compiled in
11719142372802612.000000

Expected results:
11719142372802611.308594

Additional info:
This could easily be fixed by adding "BuildRequires: mpfr-devel" to the spec file. The only question is whether it is preferable to have a minimal gawk that does not depend on gmp and mpfr.

Comment 1 Andrew Schorr 2016-08-02 18:16:41 UTC
Note: Ubuntu 16.04 includes mpfr support in their build:

$ /usr/bin/gawk --version
GNU Awk 4.1.3, API: 1.1 (GNU MPFR 3.1.4, GNU MP 6.1.0)
Copyright (C) 1989, 1991-2015 Free Software Foundation.

Comment 2 David Kaspar [Dee'Kej] 2016-09-12 08:51:59 UTC
Fix has been commited to dist-git:
http://pkgs.fedoraproject.org/cgit/rpms/gawk.git/commit/gawk.spec?id=08bec36937d

Comment 3 Fedora Update System 2016-09-12 10:01:19 UTC
gawk-4.1.3-8.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-30fc11cd13

Comment 4 Fedora Update System 2016-09-12 10:03:29 UTC
gawk-4.1.3-8.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-e767636296

Comment 5 Fedora Update System 2016-09-12 15:26:35 UTC
gawk-4.1.3-8.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-30fc11cd13

Comment 6 Fedora Update System 2016-09-12 15:26:44 UTC
gawk-4.1.3-8.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-e767636296

Comment 7 Fedora Update System 2016-09-13 18:05:25 UTC
gawk-4.1.3-8.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2016-09-13 22:20:25 UTC
gawk-4.1.3-8.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.